package com.genuitec.hibernate;


import org.hibernate.HibernateException;

public class HibernateReadTest {

	public static void main(String[] args) {
		// Step 1 - Create the DAO
		EchoMessageDAO dao = new EchoMessageDAO();
		try {
			// Step 2 - Use findById to retrieve the message with ID = 1
			EchoMessage echoMessage = dao.findById(new Long(1));
			System.out.println("Entity retrieval successful, message is: "
					+ echoMessage.getMsg());
		} catch (HibernateException e) {
			System.err.println("Entity retrieval failed.");
			e.printStackTrace();
		} finally {
			try {
				dao.getSession().close();
			} catch (Exception e) {
				// do nothing
			}
		}
	}

}
